Bug 998116 - USB3.0 flash drive is not detected when connected to port USB3.0 hub, and the hub is connected to a USB3.0 port on the motherboard. [NEEDINFO]
USB3.0 flash drive is not detected when connected to port USB3.0 hub, and the...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-17 08:05 EDT by Mikhail
Modified: 2015-12-02 11:05 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 21:55:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kernel-team: needinfo?


Attachments (Terms of Use)
capture when I connect hub to USB3.0 port and flash drive to USB2.0 port (1.90 MB, application/octet-stream)
2013-08-17 08:08 EDT, Mikhail
no flags Details
capture when I connect hub to USB2.0 port and flash drive to USB3.0 port (1.05 MB, application/octet-stream)
2013-08-17 08:09 EDT, Mikhail
no flags Details
kernel 3.18.3 log (63.29 KB, text/plain)
2015-01-29 02:12 EST, Mikhail
no flags Details

  None (edit)
Description Mikhail 2013-08-17 08:05:16 EDT
Description of problem:
USB3.0 flash drive is not detected when connected to port USB3.0 hub, and the hub is connected to a USB3.0 port on the motherboard. USB2.0 flash drive plugged in same hub port is detected. And USB3.0 flash drive is detected if I connected it to USB2.0 port of hub. All usb ports works with USB3.0 flash drive if I connect hub to USB2.0 port in mother board, but in this case I lose all USB3.0 advantage.

Hub is: GINZZU™ GR-380UAB
http://www.ginzzu.com/rus_level5_tab1.php?lang=NAME_ENG&ot=510&group=-1&oid=32&tab_id=-10

Mother board is: ASRock H61M/U3S3
http://www.asrock.com/mb/Intel/H61MU3S3/
Comment 1 Mikhail 2013-08-17 08:08:10 EDT
Created attachment 787533 [details]
capture when I connect hub to USB3.0 port and flash drive to USB2.0 port
Comment 2 Mikhail 2013-08-17 08:09:55 EDT
Created attachment 787534 [details]
capture when I connect hub to USB2.0 port and flash drive to USB3.0 port
Comment 3 Mikhail 2013-08-17 08:11:46 EDT
Capture for situation USB3.0 USB3.0 same as USB3.0 USB2.0, but nothing happens in wireshark when I plug shesh drive to USB3.0 port of hub.
Comment 4 Mikhail 2013-08-17 08:15:04 EDT
With another motherboard Gigabyte GA-Z87M-D3H
http://www.gigabyte.com/products/product-page.aspx?pid=4486#ov
USB3.0 port of m/b with USB3.0 port of hub works fine with USB3.0 flash drive.
Comment 5 Josh Boyer 2013-08-19 11:35:10 EDT
You didn't say which kernel version you were having troubles with.  Please test 3.10.7 and let us know if that resolves the issues.
Comment 6 Mikhail 2013-08-19 11:58:28 EDT
My kernel version already 3.10.7
Comment 7 Josh Boyer 2013-09-18 16:46:32 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.11.1-200.fc19.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 8 Mikhail 2013-09-26 23:53:32 EDT
Update to 3.11.1 kernel not solve this problem.
Comment 9 Justin M. Forbes 2014-01-03 17:06:28 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 10 Mikhail 2014-01-04 09:34:32 EST
1. Actually USB flash drive on 3.12 kernel determined time to time.
2. After the physical disconnect the USB flash drive in the Disk anyway seen stick.
Comment 11 Justin M. Forbes 2014-02-24 08:54:35 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.13.4-200.fc20.  Please test this kernel update and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 12 Justin M. Forbes 2014-03-17 14:44:24 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for several weeks and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 20, please feel free to reopen the bug and provide the additional information requested.
Comment 13 Mikhail 2014-03-17 14:53:39 EDT
> After the physical disconnect the USB flash drive in the Disk anyway seen stick.

It is normal?
Comment 14 Justin M. Forbes 2014-05-21 15:38:26 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.14.4-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 15 Mikhail 2014-05-22 15:53:40 EDT
After the physical disconnect the USB flash drive in the Disk anyway still seen stick.
Comment 16 Justin M. Forbes 2014-11-13 10:58:20 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 20 kernel bugs.

Fedora 20 has now been rebased to 3.17.2-200.fc20.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 21, and are still experiencing this issue, please change the version to Fedora 21.

If you experience different issues, please open a new bug report for those.
Comment 17 Mikhail 2014-11-15 13:22:50 EST
Now I have another problem. If USB 3.0 flash stick inserted in USB 3.0 port in hub, then not recognized by just booted system. But if I reconnect stick, or boot system when  flash stick is inserted into USB 2.0 port hub or plug into motherboard directly then stick is recognized correctly.
Comment 18 Justin M. Forbes 2015-01-27 09:59:48 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.18.3-201.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.
Comment 19 Mikhail 2015-01-29 02:12:18 EST
Created attachment 985447 [details]
kernel 3.18.3 log
Comment 20 Mikhail 2015-01-29 02:18:35 EST
For testing also would be nice have new iso, because still having problem when select "Troubleshooting -> Test this media & start Fedora Live" when boot from USB stick Fedora install.
Comment 21 Fedora Kernel Team 2015-04-28 14:30:53 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 21 kernel bugs.

Fedora 21 has now been rebased to 3.19.5-200.fc21.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 22, and are still experiencing this issue, please change the version to Fedora 22.

If you experience different issues, please open a new bug report for those.
Comment 22 Fedora End Of Life 2015-11-04 10:34:37 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 23 Fedora End Of Life 2015-12-01 21:56:01 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.